#include <stdio.h>
#include <stdlib.h>

    /* Jedina razlika izmedju grupa (a) i (b) su znakovi u bombonijeri
       i dimenzije bombonijere. Sve ostalo je isto! */

char lijevi = '>', srednji = 'o', desni  = '<',
     gornji = 'v', donji   = '^', prazno = '.';

#define MAX_DIM 400

    /* Globalna matrica B za jednu bombonijeru. */

char B[MAX_DIM][MAX_DIM];


    /* Funkcija koja nalazi broj cijelih slatkisa
       u sljedecoj bombonijeri u ulaznoj datoteci. */

int broj_slatkisa(FILE *in) {
    int r, s, broj = 0, i, j;

        /* Citanje dimenzija r, s - to preskace i prvu praznu liniju.
           Ucitamo jos i prijelaz u novu liniju iza s. */

    fscanf(in, "%d%d\n", &r, &s);

        /* Citanje bombonijere = matrice s r redaka i s stupaca. */

    for (i = 0; i < r; ++i) {

            /* i-ti redak od s znakova. */
        for(j = 0; j < s; ++j)
            B[i][j] = fgetc(in);

            /* Prijelaz u novi red. */
        fgetc(in);
    }

        /* Provjera cijelih slatkisa - vodoravno, u i-tom retku. */

    for (i = 0; i < r; ++i)
        for (j = 0; j < s - 2; ++j)
            if ( B[i][j]   == lijevi &&
                 B[i][j+1] == srednji &&
                 B[i][j+2] == desni ) ++broj;

        /* Provjera cijelih slatkisa - okomito, u j-tom stupcu. */

    for (i = 0; i < r - 2; ++i)
        for (j = 0; j < s; ++j)
            if ( B[i][j]   == gornji &&
                 B[i+1][j] == srednji &&
                 B[i+2][j] == donji ) ++broj;

    return broj;
}

    /* Glavni program. */

int main(int argc, char *argv[])
{
    FILE *in, *out;
    int t, i;

    if (argc != 3) {
        fprintf(stderr, "Greska, nema imena datoteka!\n");
        exit(EXIT_FAILURE);
    }

        /* Otvori prvu datoteku za citanje. */

    if ((in = fopen(argv[1], "r")) == NULL) {
        fprintf(stderr, "Ne mogu otvoriti ulaznu datoteku %s!\n", argv[1]);
        exit(EXIT_FAILURE);
    }

        /* Otvori drugu datoteku za pisanje. */

    if ((out = fopen(argv[2], "w")) == NULL) {
        fprintf(stderr, "Ne mogu otvoriti izlaznu datoteku %s!\n", argv[2]);
        exit(EXIT_FAILURE);
    }

        /* Pretpostavljamo da ulazna datoteka ima propisani
           format i NE provjeravamo oblik ulaza. */

        /* Broj bombonijera. */
    fscanf(in, "%d", &t);

        /* Petlja po bombonijerama i ispis broja slatkisa. */
    for (i = 1; i <= t; ++i)
        fprintf(out, "%d\n", broj_slatkisa(in));

    fclose(in);
    fclose(out);

    return EXIT_SUCCESS;
}
